#! /bin/sh
# trackbird_remove - This script stops and uninstalls the TrackBird client on the local machine.
#
#   Author: Nicolas Goubaux et Philippe Laval (ASG - http://www.asg.com/)
#   Date: 5 March 2005
#

kill_proc()
{
ps_cmd=`ps auxww | grep $1 | grep -v grep`
pid_cmd=`echo $ps_cmd | awk '{print $2}'`
#echo $pid_cmd
if [ "$pid_cmd" != "" ] ; then
 kill -9 $pid_cmd
#else
# echo "$1 not found"
fi
}

# Stop the TrackBird daemon.
#
kill_proc nbimacx
kill_proc nbdmacx

# Stop the TrackBird collector application.
#
kill_proc nbcmacx

# Stop the TrackBird agent application.
#
kill_proc nbamacx
kill_proc nbumacx

# Stop the TrackBird monitoring application.
#
kill_proc nbmmacx

# Remove the daemon script files.
#
rm -rf /System/Library/StartupItems/nbimacx_script

# PLL : We have changed the script location to /System/Library/StartupItems/nbimacx_script for Mac OS X Server compatibility
#
# The old script was there. Remove it just in case of an old installation.
rm -rf /Library/StartupItems/nbimacx_script

# Remove all TrackBird files from the default install location.
#
rm -rf /Library/Application\ Support/tbclient

# Install the new client
cd ~/Desktop/trackbird_macx_clean_installers
./nbinstmacx -server=192.168.42.212 -port=80 -alias="trackbird"